Qt 5.6 | Qt 3D | C++ Classes | QSceneParserPlugin

Qt 5.6.3 Reference Documentation

# QSceneParserPlugin Class

(Qt3DRender::QSceneParserPlugin)

- List of all members, including inherited members

## Public Functions

| QSceneParserPlugin(QObject *parent = Q_NULLPTR)
| ~QSceneParserPlugin()
virtual QAbstractSceneParser * | create(const QString &key, const QStringList &paramList)

## Member Function Documentation

### QSceneParserPlugin::QSceneParserPlugin(QObject *parent = Q_NULLPTR)

Default constructs an instance of QSceneParserPlugin.

### QSceneParserPlugin::~QSceneParserPlugin()

Destroys the instance of QSceneParserPlugin.

### `[virtual]` QAbstractSceneParser *QSceneParserPlugin::create(const QString &key, const QStringList &paramList)